package ink.wgink.properties.wechat.pay.v3;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName: PayProperties
 * @Description: 支付配置
 * @Author: wanggeng
 * @Date: 2021/8/19 4:05 下午
 * @Version: 1.0
 */
@Configuration
@ConfigurationProperties(prefix = "open-platform.wechat.pay")
public class PayProperties {

    private Boolean active;
    private String apiUrl;
    private Boolean produce;
    private String mchid;
    private String certificatePath;
    private String certificateName;
    private String keyFilePath;
    private String apiV3Secretkey;

    public Boolean getActive() {
        return active == null ? false : active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getApiUrl() {
        return apiUrl == null ? "" : apiUrl.trim();
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public Boolean getProduce() {
        return produce;
    }

    public void setProduce(Boolean produce) {
        this.produce = produce;
    }

    public String getMchid() {
        return mchid == null ? "" : mchid.trim();
    }

    public void setMchid(String mchid) {
        this.mchid = mchid;
    }

    public String getCertificatePath() {
        return certificatePath == null ? "" : certificatePath.trim();
    }

    public void setCertificatePath(String certificatePath) {
        this.certificatePath = certificatePath;
    }

    public String getCertificateName() {
        return certificateName == null ? "" : certificateName.trim();
    }

    public void setCertificateName(String certificateName) {
        this.certificateName = certificateName;
    }

    public String getKeyFilePath() {
        return keyFilePath == null ? "" : keyFilePath.trim();
    }

    public void setKeyFilePath(String keyFilePath) {
        this.keyFilePath = keyFilePath;
    }

    public String getApiV3Secretkey() {
        return apiV3Secretkey == null ? "" : apiV3Secretkey.trim();
    }

    public void setApiV3Secretkey(String apiV3Secretkey) {
        this.apiV3Secretkey = apiV3Secretkey;
    }
}
